## geary 0.2.1

=== CMakeLists.txt ===
# Geary build script
# Copyright 2011-2012 Yorba Foundation
#
# Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required(VERSION 2.8)
cmake_policy(VERSION 2.6)

project(geary C)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

#
# Base bits
#
set(GETTEXT_PACKAGE "geary")
set(RELEASE_NAME "Lightweight email client for GNOME.")
set(VERSION "0.2.1")
set(VERSION_INFO "Release")
set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)

# Packaging filenamesnames.
set(ARCHIVE_BASE_NAME ${CMAKE_PROJECT_NAME}-${VERSION})
set(ARCHIVE_FULL_NAME ${ARCHIVE_BASE_NAME}.tar.xz)
set(ARCHIVE_DEBUILD_FULL_NAME ${CMAKE_PROJECT_NAME}_${VERSION}.orig.tar.xz)

set(GLADE_FILES ui/composer.glade ui/login.glade ui/message.glade ui/password-dialog.glade
    ui/preferences.glade ui/toolbar.glade)

option(DEBUG "Build for debugging." OFF)
option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
option(DESKTOP_UPDATE "Run update-desktop-database after the install." ON)

if (DEBUG)
    message(STATUS "Debug build")
endif ()

if (ICON_UPDATE)
    message(STATUS "Icon cache will be updated")
endif ()

if (DESKTOP_UPDATE)
    message(STATUS "Desktop database will be updated")
endif ()

find_package(PkgConfig)
pkg_check_modules(LIBINDICATE QUIET indicate-0.7>=0.6.1)
pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
pkg_check_modules(LIBGRANITE QUIET granite>=0.1.5)

# intl
include(Gettext)
if (XGETTEXT_FOUND)
    message(STATUS "xgettext found")
else ()
    message(STATUS "xgettext not found")
endif ()

#
# Uninstall target
#
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

add_custom_target(
    uninstall-base
    COMMAND 
        ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    COMMAND 
        ${glib_schema_compiler} ${GSETTINGS_DIR}
)

add_custom_target(
    uninstall
)

# We add this dependency using add_dependencies (which makes it run first) rather than
# a depends clause in add_custom_target (which would make it run last).
add_dependencies(uninstall uninstall-base)

# This gets fired in the root-level Makefile to ensure an post-uninstall cleanup happens after
# everything has has been removed
add_custom_target(
    post-uninstall
)

# Dist
# This generates the dist tarballs
add_custom_target(
    dist
    COMMAND 
        git archive --prefix=${ARCHIVE_BASE_NAME}/ HEAD
        | xz -z > ${CMAKE_BINARY_DIR}/${ARCHIVE_FULL_NAME}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# Ubuntu
# Builds the source Debian package used for the Launchpad PPA
add_custom_target(
    ubuntu_pre
    DEPENDS
        dist
    COMMAND 
        ${CMAKE_COMMAND} -E copy ${ARCHIVE_FULL_NAME} ${ARCHIVE_DEBUILD_FULL_NAME}
    COMMAND
        tar xvfx ${ARCHIVE_FULL_NAME}
)

add_custom_target(
    ubuntu
    DEPENDS
        ubuntu_pre
    COMMAND
        ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/debian" 
        "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_BASE_NAME}/debian"
    COMMAND 
        debuild -S -k$ENV{GPGKEY}
    COMMAND

    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_BASE_NAME}"
)

add_subdirectory(desktop)
add_subdirectory(help)
add_subdirectory(icons)
add_subdirectory(po)
add_subdirectory(sql)
add_subdirectory(src)
add_subdirectory(theming)
add_subdirectory(ui)

=== desktop/CMakeLists.txt ===
#
# Build and install geary.desktop
#

include (FindIntltool)
if (INTLTOOL_MERGE_FOUND)
    INTLTOOL_MERGE_DESKTOP (geary po)
endif (INTLTOOL_MERGE_FOUND)

if (LIBINDICATE_FOUND)
    install(FILES geary DESTINATION /usr/share/indicators/messages/applications)
endif ()

# Optional: run update-desktop-database at install time.
# (This has to happen after the geary.desktop file is installed.)
if (DESKTOP_UPDATE)
    install(
        CODE
            "execute_process (COMMAND update-desktop-database)"
        CODE
            "message (STATUS \"Updating desktop database\")"
    )
    
    add_custom_target(
        uninstall-desktop-update
        COMMAND
            update-desktop-database
    )
    
    add_dependencies(post-uninstall uninstall-desktop-update)
else ()
    install(
        CODE "message (STATUS \"Not updating desktop database\")"
    )
endif ()

=== debian/changelog ===
geary (0.2.1-0ubuntu2) quantal-proposed; urgency=low

  * debian/control: 
    - Build-Depends on intltool so the .desktop is generated (lp: #1067356)
  * debian/patches/trunk_plain_auth_login.patch:
    - upstream fix for login issue with e.g yahoo

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Oct 2012 20:56:26 +0200

geary (0.2.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix version:
    - Save attachments FileChooserDialog now displays network mounts
    - Adds support for SMTP PLAIN authentication
    - Installs Italian translation (overlooked in 0.2.0)
    - Adds three new translations: Czech, Telugu, and Turkish
    - Preferences dialog and .desktop file now translated
    - Icon and desktop file cache updated after uninstall
    - Various translation fixes, including translations not being displayed

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Oct 2012 10:58:42 +0200

geary (0.2.0-0ubuntu2) quantal; urgency=low

  * debian/control: don't use libindicate, libmessaging-menu is enough

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Oct 2012 18:56:30 +0200

geary (0.2.0-0ubuntu1) quantal; urgency=low

  * Initial release (lp: #1060468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Oct 2012 23:46:25 +0200

=== debian/control ===
Source: geary
Section: gnome
Priority: extra
Maintainer: Sebastien Bacher <seb128@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), 
               autotools-dev,
               cmake,
               intltool,
               libglib2.0-dev,
               libgtk-3-dev,
               libgee-dev,
               libgirepository1.0-dev,
               valac-0.18,
               libunique-3.0-dev,
               libcanberra-dev,
               libsqlite3-dev,
               libgmime-2.6-dev,
               libgnome-keyring-dev,
               libwebkitgtk-3.0-dev,
               libpcre3-dev,
               libnotify-dev,
               libunity-dev,
               libmessaging-menu-dev
Standards-Version: 3.9.3
Homepage: http://www.yorba.org/geary

Package: geary
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: email client
 Geary is an email client built for the GNOME desktop environment.  It
 allows you to read and write email with a simple, modern interface.

=== debian/watch ===
version=3
  http://yorba.org/download/geary/stable/geary-(.*)\.tar\.xz

## geary 0.2.2

=== debian/changelog ===
geary (0.2.2-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/patches/trunk_plain_auth_login.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 11:20:31 +1300

## geary 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.2.1")
+set(VERSION "0.3.1")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
 
@@ -24,8 +24,9 @@
 set(ARCHIVE_FULL_NAME ${ARCHIVE_BASE_NAME}.tar.xz)
 set(ARCHIVE_DEBUILD_FULL_NAME ${CMAKE_PROJECT_NAME}_${VERSION}.orig.tar.xz)
 
-set(GLADE_FILES ui/composer.glade ui/login.glade ui/message.glade ui/password-dialog.glade
-    ui/preferences.glade ui/toolbar.glade)
+set(GLADE_FILES ui/account_list.glade ui/account_cannot_remove.glade ui/account_spinner.glade
+    ui/composer.glade ui/login.glade ui/message.glade ui/password-dialog.glade ui/preferences.glade
+    ui/remove_confirm.glade ui/toolbar.glade)
 
 option(DEBUG "Build for debugging." OFF)
 option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
@@ -47,7 +48,6 @@
 pkg_check_modules(LIBINDICATE QUIET indicate-0.7>=0.6.1)
 pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
 pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
-pkg_check_modules(LIBGRANITE QUIET granite>=0.1.5)
 
 # intl
 include(Gettext)

=== sql/CMakeLists.txt ===
set(SQL_DEST share/geary/sql)

install(FILES version-001.sql DESTINATION ${SQL_DEST})
install(FILES version-002.sql DESTINATION ${SQL_DEST})
install(FILES version-003.sql DESTINATION ${SQL_DEST})
install(FILES version-004.sql DESTINATION ${SQL_DEST})
install(FILES version-005.sql DESTINATION ${SQL_DEST})
install(FILES version-006.sql DESTINATION ${SQL_DEST})
install(FILES version-007.sql DESTINATION ${SQL_DEST})
install(FILES version-008.sql DESTINATION ${SQL_DEST})

=== src/CMakeLists.txt ===
# Geary build script
# Copyright 2011-2012 Yorba Foundation

set(COMMON_SRC
common/common-arrays.vala
common/common-async.vala
common/common-international.vala
common/common-yorba-application.vala
)

set(ENGINE_SRC
engine/abstract/geary-abstract-account.vala
engine/abstract/geary-abstract-folder.vala

engine/api/geary-account.vala
engine/api/geary-account-information.vala
engine/api/geary-attachment.vala
engine/api/geary-base-object.vala
engine/api/geary-composed-email.vala
engine/api/geary-contact.vala
engine/api/geary-contact-importance.vala
engine/api/geary-contact-store.vala
engine/api/geary-conversation.vala
engine/api/geary-conversation-monitor.vala
engine/api/geary-credentials.vala
engine/api/geary-credentials-mediator.vala
engine/api/geary-email-flag.vala
engine/api/geary-email-flags.vala
engine/api/geary-email-identifier.vala
engine/api/geary-email-properties.vala
engine/api/geary-email.vala
engine/api/geary-endpoint.vala
engine/api/geary-engine-error.vala
engine/api/geary-engine.vala
engine/api/geary-folder.vala
engine/api/geary-folder-path.vala
engine/api/geary-folder-properties.vala
engine/api/geary-folder-supports-archive.vala
engine/api/geary-folder-supports-copy.vala
engine/api/geary-folder-supports-create.vala
engine/api/geary-folder-supports-mark.vala
engine/api/geary-folder-supports-move.vala
engine/api/geary-folder-supports-remove.vala
engine/api/geary-logging.vala
engine/api/geary-service-provider.vala
engine/api/geary-special-folder-type.vala

engine/common/common-message-data.vala

engine/db/db.vala
engine/db/db-connection.vala
engine/db/db-context.vala
engine/db/db-database.vala
engine/db/db-database-error.vala
engine/db/db-result.vala
engine/db/db-statement.vala
engine/db/db-synchronous-mode.vala
engine/db/db-transaction-async-job.vala
engine/db/db-transaction-outcome.vala
engine/db/db-transaction-type.vala
engine/db/db-versioned-database.vala

engine/imap/api/imap-account.vala
engine/imap/api/imap-email-flags.vala
engine/imap/api/imap-email-identifier.vala
engine/imap/api/imap-email-properties.vala
engine/imap/api/imap-folder-properties.vala
engine/imap/api/imap-folder.vala
engine/imap/command/imap-command-response.vala
engine/imap/command/imap-commands.vala
engine/imap/command/imap-command.vala
engine/imap/command/imap-fetch-command.vala
engine/imap/decoders/imap-capabilities.vala
engine/imap/decoders/imap-capability-results.vala
engine/imap/decoders/imap-command-results.vala
engine/imap/decoders/imap-fetch-data-decoder.vala
engine/imap/decoders/imap-fetch-results.vala
engine/imap/decoders/imap-list-results.vala
engine/imap/decoders/imap-select-examine-results.vala
engine/imap/decoders/imap-status-results.vala
engine/imap/imap.vala
engine/imap/imap-error.vala
engine/imap/message/imap-data-format.vala
engine/imap/message/imap-fetch-data-type.vala
engine/imap/message/imap-fetch-body-data-type.vala
engine/imap/message/imap-flag.vala
engine/imap/message/imap-mailbox-parameter.vala
engine/imap/message/imap-message-data.vala
engine/imap/message/imap-message-set.vala
engine/imap/message/imap-parameter.vala
engine/imap/message/imap-tag.vala
engine/imap/response/imap-continuation-response.vala
engine/imap/response/imap-response-code-type.vala
engine/imap/response/imap-response-code.vala
engine/imap/response/imap-server-data-type.vala
engine/imap/response/imap-server-data.vala
engine/imap/response/imap-server-response.vala
engine/imap/response/imap-status-data-type.vala
engine/imap/response/imap-status-response.vala
engine/imap/response/imap-status.vala
engine/imap/response/imap-unsolicited-server-data.vala
engine/imap/transport/imap-client-connection.vala
engine/imap/transport/imap-client-session-manager.vala
engine/imap/transport/imap-client-session.vala
engine/imap/transport/imap-deserializer.vala
engine/imap/transport/imap-mailbox.vala
engine/imap/transport/imap-serializable.vala
engine/imap/transport/imap-serializer.vala

engine/imap-db/imap-db-account.vala
engine/imap-db/imap-db-contact.vala
engine/imap-db/imap-db-database.vala
engine/imap-db/imap-db-email-identifier.vala
engine/imap-db/imap-db-folder.vala
engine/imap-db/imap-db-message-addresses.vala
engine/imap-db/imap-db-message-row.vala
engine/imap-db/outbox/smtp-outbox-email-identifier.vala
engine/imap-db/outbox/smtp-outbox-email-properties.vala
engine/imap-db/outbox/smtp-outbox-folder.vala
engine/imap-db/outbox/smtp-outbox-folder-properties.vala
engine/imap-db/outbox/smtp-outbox-folder-root.vala

engine/imap-engine/imap-engine.vala
engine/imap-engine/imap-engine-account-synchronizer.vala
engine/imap-engine/imap-engine-batch-operations.vala
engine/imap-engine/imap-engine-email-flag-watcher.vala
engine/imap-engine/imap-engine-email-prefetcher.vala
engine/imap-engine/imap-engine-generic-account.vala
engine/imap-engine/imap-engine-generic-all-mail-folder.vala
engine/imap-engine/imap-engine-generic-folder.vala
engine/imap-engine/imap-engine-generic-sent-mail-folder.vala
engine/imap-engine/imap-engine-generic-trash-folder.vala
engine/imap-engine/imap-engine-receive-replay-operation.vala
engine/imap-engine/imap-engine-replay-operation.vala
engine/imap-engine/imap-engine-replay-queue.vala
engine/imap-engine/imap-engine-send-replay-operation.vala
engine/imap-engine/gmail/imap-engine-gmail-account.vala
engine/imap-engine/gmail/imap-engine-gmail-folder.vala
engine/imap-engine/other/imap-engine-other-account.vala
engine/imap-engine/other/imap-engine-other-folder.vala
engine/imap-engine/replay-ops/imap-engine-copy-email.vala
engine/imap-engine/replay-ops/imap-engine-expunge-email.vala
engine/imap-engine/replay-ops/imap-engine-fetch-email.vala
engine/imap-engine/replay-ops/imap-engine-list-email.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-id.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-sparse-id.vala
engine/imap-engine/replay-ops/imap-engine-mark-email.vala
engine/imap-engine/replay-ops/imap-engine-move-email.vala
engine/imap-engine/replay-ops/imap-engine-replay-append.vala
engine/imap-engine/replay-ops/imap-engine-replay-disconnect.vala
engine/imap-engine/replay-ops/imap-engine-replay-removal.vala
engine/imap-engine/yahoo/imap-engine-yahoo-account.vala
engine/imap-engine/yahoo/imap-engine-yahoo-folder.vala

engine/nonblocking/nonblocking-abstract-semaphore.vala
engine/nonblocking/nonblocking-batch.vala
engine/nonblocking/nonblocking-mailbox.vala
engine/nonblocking/nonblocking-mutex.vala
engine/nonblocking/nonblocking-reporting-semaphore.vala
engine/nonblocking/nonblocking-variants.vala

engine/rfc822/rfc822.vala
engine/rfc822/rfc822-error.vala
engine/rfc822/rfc822-gmime-filter-flowed.vala
engine/rfc822/rfc822-gmime-filter-blockquotes.vala
engine/rfc822/rfc822-gmime-filter-plain.vala
engine/rfc822/rfc822-mailbox-addresses.vala
engine/rfc822/rfc822-mailbox-address.vala
engine/rfc822/rfc822-message.vala
engine/rfc822/rfc822-message-data.vala
engine/rfc822/rfc822-utils.vala

engine/smtp/smtp-abstract-authenticator.vala
engine/smtp/smtp-authenticator.vala
engine/smtp/smtp-capabilities.vala
engine/smtp/smtp-client-connection.vala
engine/smtp/smtp-client-session.vala
engine/smtp/smtp-command.vala
engine/smtp/smtp-data-format.vala
engine/smtp/smtp-error.vala
engine/smtp/smtp-greeting.vala
engine/smtp/smtp-login-authenticator.vala
engine/smtp/smtp-plain-authenticator.vala
engine/smtp/smtp-request.vala
engine/smtp/smtp-response.vala
engine/smtp/smtp-response-code.vala
engine/smtp/smtp-response-line.vala

engine/state/state-machine-descriptor.vala
engine/state/state-machine.vala
engine/state/state-mapping.vala

engine/util/util-collection.vala
engine/util/util-converter.vala
engine/util/util-files.vala
engine/util/util-generic-capabilities.vala
engine/util/util-html.vala
engine/util/util-imap-utf7.vala
engine/util/util-inet.vala
engine/util/util-interfaces.vala
engine/util/util-memory.vala
engine/util/util-numeric.vala
engine/util/util-reference-semantics.vala
engine/util/util-scheduler.vala
engine/util/util-singleton.vala
engine/util/util-stream.vala
engine/util/util-string.vala
engine/util/util-trillian.vala
)

set(CLIENT_SRC
client/geary-application.vala
client/geary-args.vala
client/geary-config.vala
client/geary-controller.vala
client/gnome-keyring-mediator.vala
client/main.vala

client/accounts/account-dialog.vala
client/accounts/account-dialog-account-list-pane.vala
client/accounts/account-dialog-add-edit-pane.vala
client/accounts/account-dialog-pane.vala
client/accounts/account-dialog-remove-confirm-pane.vala
client/accounts/account-dialog-remove-fail-pane.vala
client/accounts/account-dialog-spinner-pane.vala
client/accounts/account-spinner-page.vala
client/accounts/add-edit-page.vala
client/accounts/login-dialog.vala

client/composer/composer-window.vala
client/composer/contact-entry-completion.vala
client/composer/email-entry.vala
client/composer/webview-edit-fixer.vala

client/dialogs/alert-dialog.vala
client/dialogs/password-dialog.vala
client/dialogs/preferences-dialog.vala

client/folder-list/folder-list-account-branch.vala
client/folder-list/folder-list-folder-entry.vala
client/folder-list/folder-list-tree.vala
client/folder-list/folder-list-inboxes-branch.vala
client/folder-list/folder-list-inbox-folder-entry.vala
client/folder-list/folder-list-special-grouping.vala

client/models/conversation-list-store.vala

client/notification/libindicate.vala
client/notification/libmessagingmenu.vala
client/notification/new-messages-indicator.vala
client/notification/new-messages-monitor.vala
client/notification/notification-bubble.vala
client/notification/null-indicator.vala
client/notification/unity-launcher.vala

client/sidebar/sidebar-branch.vala
client/sidebar/sidebar-common.vala
client/sidebar/sidebar-entry.vala
client/sidebar/sidebar-tree.vala

client/ui/folder-menu.vala
client/ui/icon-factory.vala
client/ui/main-toolbar.vala
client/ui/main-window.vala

client/util/util-date.vala
client/util/util-email.vala
client/util/util-files.vala
client/util/util-gravatar.vala
client/util/util-gtk.vala
client/util/util-webkit.vala

client/views/formatted-conversation-data.vala
client/views/conversation-list-cell-renderer.vala
client/views/conversation-list-view.vala
client/views/conversation-viewer.vala
client/views/conversation-web-view.vala
)

set(CONSOLE_SRC
console/main.vala
)

set(MAILER_SRC
mailer/main.vala
)

set(DBUSSERVICE_SRC
dbusservice/controller.vala
dbusservice/database.vala
dbusservice/dbus-conversation.vala
dbusservice/dbus-conversations.vala
dbusservice/dbus-email.vala
dbusservice/main.vala
)

# Vala
find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.17.4" MINIMUM)
include(ValaPrecompile)

# Packages
if (LIBINDICATE_FOUND)
    message(STATUS "Unity indicate support: ON")
    set(EXTRA_CLIENT_PKG_CONFIG
        ${EXTRA_CLIENT_PKG_CONFIG}
        indicate-0.7
    )
    
    set(EXTRA_CLIENT_PACKAGES
        ${EXTRA_CLIENT_PACKAGES}
        Dbusmenu-0.4
        Indicate-0.7
    )
    
    set(EXTRA_VALA_OPTIONS
        ${EXTRA_VALA_OPTIONS}
        -D HAVE_LIBINDICATE
    )
else ()
    message(STATUS "Unity indicate support: OFF")
endif ()

if (LIBMESSAGINGMENU_FOUND)
    message(STATUS "Unity messaging menu support: ON")
    set(EXTRA_CLIENT_PKG_CONFIG
        ${EXTRA_CLIENT_PKG_CONFIG}
        messaging-menu
    )
    
    set(EXTRA_CLIENT_PACKAGES
        ${EXTRA_CLIENT_PACKAGES}
        MessagingMenu-1.0
    )
    
    set(EXTRA_VALA_OPTIONS
        ${EXTRA_VALA_OPTIONS}
        -D HAVE_LIBMESSAGINGMENU
    )
else ()
    message(STATUS "Unity messaging menu support: OFF")
endif ()

if (LIBUNITY_FOUND)
    message(STATUS "Unity launcher support: ON")
    set(EXTRA_CLIENT_PKG_CONFIG
        ${EXTRA_CLIENT_PKG_CONFIG}
        unity
    )
    
    set(EXTRA_CLIENT_PACKAGES
        ${EXTRA_CLIENT_PACKAGES}
        unity
    )
    
    set(EXTRA_VALA_OPTIONS
        ${EXTRA_VALA_OPTIONS}
        -D HAVE_LIBUNITY
    )
else ()
    message(STATUS "Unity launcher support: OFF")
endif ()

set(TARGET_GLIB 2.32)

pkg_check_modules(DEPS REQUIRED

=== debian/changelog ===
geary (0.3.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix version:
    - Reduced CPU and memory footprint
    - Account dialog bugs fixed
    - Stability improvements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Apr 2013 10:57:25 +0200

geary (0.3.0-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Mar 2013 16:49:10 +0100

geary (0.3.0~pr1-0ubuntu1) raring; urgency=low

  * New upstream version (FFE lp: #1154316), supports multiple account as
    well as full conversation views with inline replies

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Mar 2013 13:48:23 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libnotify-dev,
                libunity-dev,
                libmessaging-menu-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.yorba.org/geary
 
 Package: geary

## geary 0.4.0

=== debian/changelog ===
geary (0.4.0-0ubuntu1) saucy; urgency=low

  * New stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2013 17:40:37 +0200

geary (0.4.0~pr2-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Sep 2013 16:09:06 +0200

geary (0.4.0~pr1-0ubuntu2) saucy; urgency=low

  * debian/contro: build-depends on desktop-file-utils, not on libindicate

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Aug 2013 13:48:23 +0200

geary (0.4.0~pr1-0ubuntu1) saucy; urgency=low

  * New upstream beta version
  * debian/control: updated build-depends for new version requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2013 11:26:42 +0200

geary (0.3.1-1ubuntu2) saucy; urgency=low

  * Build with default vala (Closes: #711395)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Aug 2013 16:24:57 -0400

geary (0.3.1-1ubuntu1) saucy; urgency=low

  * Rebase on Debian, remaining ubuntu differences:
  * debian/control: build-depends on libmessaging-menu-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 May 2013 11:39:39 -0700

geary (0.3.1-1) experimental; urgency=low

  * New upstream release (Closes: #703953).
  * Update debian/copyright file.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 28 Apr 2013 14:12:19 +0200

geary (0.2.2-1) experimental; urgency=low

  * Initial release (Closes: #671857).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 12 Jan 2013 12:31:09 +0100

## geary 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Geary build script
-# Copyright 2011-2012 Yorba Foundation
+# Copyright 2011-2013 Yorba Foundation
 #
 # Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation
 
@@ -15,7 +15,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.3.1")
+set(VERSION "0.4.1")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
 
@@ -26,11 +26,12 @@
 
 set(GLADE_FILES ui/account_list.glade ui/account_cannot_remove.glade ui/account_spinner.glade
     ui/composer.glade ui/login.glade ui/message.glade ui/password-dialog.glade ui/preferences.glade
-    ui/remove_confirm.glade ui/toolbar.glade)
+    ui/remove_confirm.glade)
 
 option(DEBUG "Build for debugging." OFF)
 option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
 option(DESKTOP_UPDATE "Run update-desktop-database after the install." ON)
+option(DESKTOP_VALIDATE "Check generated desktop file for errors during build." ON)
 
 if (DEBUG)
     message(STATUS "Debug build")
@@ -44,10 +45,14 @@
     message(STATUS "Desktop database will be updated")
 endif ()
 
+if (DESKTOP_VALIDATE)
+    message(STATUS "Generated desktop file will be checked for errors")
+endif ()
+
 find_package(PkgConfig)
-pkg_check_modules(LIBINDICATE QUIET indicate-0.7>=0.6.1)
 pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
 pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
+pkg_check_modules(WEBKITGTK22X QUIET webkitgtk-3.0>=2.2.0)
 
 # intl
 include(Gettext)

=== src/CMakeLists.txt ===
# Geary build script
# Copyright 2011-2013 Yorba Foundation

set(COMMON_SRC
common/common-arrays.vala
common/common-async.vala
common/common-international.vala
common/common-yorba-application.vala
)

set(ENGINE_SRC
engine/abstract/geary-abstract-account.vala
engine/abstract/geary-abstract-folder.vala
engine/abstract/geary-abstract-local-folder.vala

engine/api/geary-account.vala
engine/api/geary-account-information.vala
engine/api/geary-aggregated-folder-properties.vala
engine/api/geary-attachment.vala
engine/api/geary-base-object.vala
engine/api/geary-composed-email.vala
engine/api/geary-contact.vala
engine/api/geary-contact-flags.vala
engine/api/geary-contact-importance.vala
engine/api/geary-contact-store.vala
engine/api/geary-credentials.vala
engine/api/geary-credentials-mediator.vala
engine/api/geary-email-flags.vala
engine/api/geary-email-identifier.vala
engine/api/geary-email-properties.vala
engine/api/geary-email.vala
engine/api/geary-endpoint.vala
engine/api/geary-engine-error.vala
engine/api/geary-engine.vala
engine/api/geary-folder.vala
engine/api/geary-folder-path.vala
engine/api/geary-folder-properties.vala
engine/api/geary-folder-supports-archive.vala
engine/api/geary-folder-supports-copy.vala
engine/api/geary-folder-supports-create.vala
engine/api/geary-folder-supports-mark.vala
engine/api/geary-folder-supports-move.vala
engine/api/geary-folder-supports-remove.vala
engine/api/geary-logging.vala
engine/api/geary-named-flag.vala
engine/api/geary-named-flags.vala
engine/api/geary-progress-monitor.vala
engine/api/geary-search-folder.vala
engine/api/geary-service-provider.vala
engine/api/geary-special-folder-type.vala

engine/app/app-conversation.vala
engine/app/app-conversation-monitor.vala
engine/app/app-email-store.vala

engine/app/conversation-monitor/app-append-operation.vala
engine/app/conversation-monitor/app-conversation-operation-queue.vala
engine/app/conversation-monitor/app-conversation-operation.vala
engine/app/conversation-monitor/app-conversation-set.vala
engine/app/conversation-monitor/app-external-append-operation.vala
engine/app/conversation-monitor/app-fill-window-operation.vala
engine/app/conversation-monitor/app-local-load-operation.vala
engine/app/conversation-monitor/app-local-search-operation.vala
engine/app/conversation-monitor/app-remove-operation.vala
engine/app/conversation-monitor/app-reseed-operation.vala
engine/app/conversation-monitor/app-terminate-operation.vala

engine/app/email-store/app-async-folder-operation.vala
engine/app/email-store/app-copy-operation.vala
engine/app/email-store/app-fetch-operation.vala
engine/app/email-store/app-list-operation.vala
engine/app/email-store/app-mark-operation.vala

engine/common/common-message-data.vala

engine/db/db.vala
engine/db/db-connection.vala
engine/db/db-context.vala
engine/db/db-database.vala
engine/db/db-database-error.vala
engine/db/db-result.vala
engine/db/db-statement.vala
engine/db/db-synchronous-mode.vala
engine/db/db-transaction-async-job.vala
engine/db/db-transaction-outcome.vala
engine/db/db-transaction-type.vala
engine/db/db-versioned-database.vala

engine/imap/imap.vala
engine/imap/imap-error.vala
engine/imap/api/imap-account.vala
engine/imap/api/imap-email-flags.vala
engine/imap/api/imap-email-properties.vala
engine/imap/api/imap-folder-properties.vala
engine/imap/api/imap-folder.vala
engine/imap/api/imap-folder-root.vala
engine/imap/command/imap-append-command.vala
engine/imap/command/imap-capability-command.vala
engine/imap/command/imap-close-command.vala
engine/imap/command/imap-command.vala
engine/imap/command/imap-compress-command.vala
engine/imap/command/imap-copy-command.vala
engine/imap/command/imap-examine-command.vala
engine/imap/command/imap-expunge-command.vala
engine/imap/command/imap-fetch-command.vala
engine/imap/command/imap-id-command.vala
engine/imap/command/imap-idle-command.vala
engine/imap/command/imap-list-command.vala
engine/imap/command/imap-login-command.vala
engine/imap/command/imap-logout-command.vala
engine/imap/command/imap-message-set.vala
engine/imap/command/imap-noop-command.vala
engine/imap/command/imap-search-command.vala
engine/imap/command/imap-search-criteria.vala
engine/imap/command/imap-search-criterion.vala
engine/imap/command/imap-select-command.vala
engine/imap/command/imap-starttls-command.vala
engine/imap/command/imap-status-command.vala
engine/imap/command/imap-store-command.vala
engine/imap/message/imap-data-format.vala
engine/imap/message/imap-envelope.vala
engine/imap/message/imap-fetch-body-data-specifier.vala
engine/imap/message/imap-fetch-data-specifier.vala
engine/imap/message/imap-flag.vala
engine/imap/message/imap-flags.vala
engine/imap/message/imap-internal-date.vala
engine/imap/message/imap-mailbox-specifier.vala
engine/imap/message/imap-mailbox-parameter.vala
engine/imap/message/imap-message-data.vala
engine/imap/message/imap-message-flag.vala
engine/imap/message/imap-message-flags.vala
engine/imap/message/imap-sequence-number.vala
engine/imap/message/imap-status-data-type.vala
engine/imap/message/imap-tag.vala
engine/imap/message/imap-uid.vala
engine/imap/message/imap-uid-validity.vala
engine/imap/parameter/imap-atom-parameter.vala
engine/imap/parameter/imap-list-parameter.vala
engine/imap/parameter/imap-literal-parameter.vala
engine/imap/parameter/imap-nil-parameter.vala
engine/imap/parameter/imap-number-parameter.vala
engine/imap/parameter/imap-parameter.vala
engine/imap/parameter/imap-quoted-string-parameter.vala
engine/imap/parameter/imap-root-parameters.vala
engine/imap/parameter/imap-string-parameter.vala
engine/imap/parameter/imap-unquoted-string-parameter.vala
engine/imap/response/imap-capabilities.vala
engine/imap/response/imap-continuation-response.vala
engine/imap/response/imap-fetch-data-decoder.vala
engine/imap/response/imap-fetched-data.vala
engine/imap/response/imap-mailbox-attribute.vala
engine/imap/response/imap-mailbox-attributes.vala
engine/imap/response/imap-mailbox-information.vala
engine/imap/response/imap-response-code.vala
engine/imap/response/imap-response-code-type.vala
engine/imap/response/imap-server-data.vala
engine/imap/response/imap-server-data-type.vala
engine/imap/response/imap-server-response.vala
engine/imap/response/imap-status.vala
engine/imap/response/imap-status-data.vala
engine/imap/response/imap-status-response.vala
engine/imap/transport/imap-client-connection.vala
engine/imap/transport/imap-client-session-manager.vala
engine/imap/transport/imap-client-session.vala
engine/imap/transport/imap-deserializer.vala
engine/imap/transport/imap-serializer.vala

engine/imap-db/imap-db-account.vala
engine/imap-db/imap-db-attachment.vala
engine/imap-db/imap-db-contact.vala
engine/imap-db/imap-db-database.vala
engine/imap-db/imap-db-email-identifier.vala
engine/imap-db/imap-db-folder.vala
engine/imap-db/imap-db-message-addresses.vala
engine/imap-db/imap-db-message-row.vala
engine/imap-db/imap-db-search-email-identifier.vala
engine/imap-db/outbox/smtp-outbox-email-identifier.vala
engine/imap-db/outbox/smtp-outbox-email-properties.vala
engine/imap-db/outbox/smtp-outbox-folder.vala
engine/imap-db/outbox/smtp-outbox-folder-properties.vala
engine/imap-db/outbox/smtp-outbox-folder-root.vala

engine/imap-engine/imap-engine.vala
engine/imap-engine/imap-engine-account-synchronizer.vala
engine/imap-engine/imap-engine-batch-operations.vala
engine/imap-engine/imap-engine-contact-store.vala
engine/imap-engine/imap-engine-email-flag-watcher.vala
engine/imap-engine/imap-engine-email-prefetcher.vala
engine/imap-engine/imap-engine-generic-account.vala
engine/imap-engine/imap-engine-generic-all-mail-folder.vala
engine/imap-engine/imap-engine-generic-drafts-folder.vala
engine/imap-engine/imap-engine-generic-folder.vala
engine/imap-engine/imap-engine-generic-sent-mail-folder.vala
engine/imap-engine/imap-engine-generic-trash-folder.vala
engine/imap-engine/imap-engine-receive-replay-operation.vala
engine/imap-engine/imap-engine-replay-operation.vala
engine/imap-engine/imap-engine-replay-queue.vala
engine/imap-engine/imap-engine-send-replay-operation.vala
engine/imap-engine/gmail/imap-engine-gmail-account.vala
engine/imap-engine/gmail/imap-engine-gmail-folder.vala
engine/imap-engine/gmail/imap-engine-gmail-search-folder.vala
engine/imap-engine/other/imap-engine-other-account.vala
engine/imap-engine/other/imap-engine-other-folder.vala
engine/imap-engine/outlook/imap-engine-outlook-account.vala
engine/imap-engine/outlook/imap-engine-outlook-folder.vala
engine/imap-engine/replay-ops/imap-engine-abstract-list-email.vala
engine/imap-engine/replay-ops/imap-engine-copy-email.vala
engine/imap-engine/replay-ops/imap-engine-create-email.vala
engine/imap-engine/replay-ops/imap-engine-fetch-email.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-id.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-sparse-id.vala
engine/imap-engine/replay-ops/imap-engine-mark-email.vala
engine/imap-engine/replay-ops/imap-engine-move-email.vala
engine/imap-engine/replay-ops/imap-engine-remove-email.vala
engine/imap-engine/replay-ops/imap-engine-replay-append.vala
engine/imap-engine/replay-ops/imap-engine-replay-disconnect.vala
engine/imap-engine/replay-ops/imap-engine-replay-removal.vala
engine/imap-engine/replay-ops/imap-engine-server-search-email.vala
engine/imap-engine/yahoo/imap-engine-yahoo-account.vala
engine/imap-engine/yahoo/imap-engine-yahoo-folder.vala

engine/memory/memory-buffer.vala
engine/memory/memory-byte-buffer.vala
engine/memory/memory-empty-buffer.vala
engine/memory/memory-file-buffer.vala
engine/memory/memory-growable-buffer.vala
engine/memory/memory-string-buffer.vala
engine/memory/memory-unowned-byte-array-buffer.vala
engine/memory/memory-unowned-bytes-buffer.vala
engine/memory/memory-unowned-string-buffer.vala

engine/nonblocking/nonblocking-abstract-semaphore.vala
engine/nonblocking/nonblocking-batch.vala
engine/nonblocking/nonblocking-concurrent.vala
engine/nonblocking/nonblocking-counting-semaphore.vala
engine/nonblocking/nonblocking-error.vala
engine/nonblocking/nonblocking-mailbox.vala
engine/nonblocking/nonblocking-mutex.vala
engine/nonblocking/nonblocking-reporting-semaphore.vala
engine/nonblocking/nonblocking-variants.vala

engine/rfc822/rfc822.vala
engine/rfc822/rfc822-error.vala
engine/rfc822/rfc822-gmime-filter-flowed.vala
engine/rfc822/rfc822-gmime-filter-blockquotes.vala
engine/rfc822/rfc822-gmime-filter-plain.vala
engine/rfc822/rfc822-mailbox-addresses.vala
engine/rfc822/rfc822-mailbox-address.vala
engine/rfc822/rfc822-message.vala
engine/rfc822/rfc822-message-data.vala
engine/rfc822/rfc822-utils.vala

engine/smtp/smtp-abstract-authenticator.vala
engine/smtp/smtp-authenticator.vala
engine/smtp/smtp-capabilities.vala
engine/smtp/smtp-client-connection.vala
engine/smtp/smtp-client-session.vala
engine/smtp/smtp-command.vala
engine/smtp/smtp-data-format.vala
engine/smtp/smtp-error.vala
engine/smtp/smtp-greeting.vala
engine/smtp/smtp-login-authenticator.vala
engine/smtp/smtp-plain-authenticator.vala
engine/smtp/smtp-request.vala
engine/smtp/smtp-response.vala
engine/smtp/smtp-response-code.vala
engine/smtp/smtp-response-line.vala

engine/state/state-machine-descriptor.vala
engine/state/state-machine.vala
engine/state/state-mapping.vala

engine/util/util-collection.vala
engine/util/util-converter.vala
engine/util/util-files.vala
engine/util/util-generic-capabilities.vala
engine/util/util-html.vala
engine/util/util-imap-utf7.vala
engine/util/util-inet.vala
engine/util/util-numeric.vala
engine/util/util-object.vala
engine/util/util-reference-semantics.vala
engine/util/util-scheduler.vala
engine/util/util-single-item.vala
engine/util/util-stream.vala
engine/util/util-string.vala
engine/util/util-synchronization.vala
engine/util/util-time.vala
engine/util/util-trillian.vala
)

set(CLIENT_SRC
client/geary-application.vala
client/geary-args.vala
client/geary-config.vala
client/geary-controller.vala
client/main.vala
client/secret-mediator.vala

client/accounts/account-dialog.vala

=== debian/changelog ===
geary (0.4.1-0ubuntu0.1) saucy; urgency=low

  * New upstream version (lp: #1259664)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2013 20:35:37 +0100

=== debian/control ===
Source: geary
Section: mail
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9.20120417),
               cmake (>= 2.8.0),
               valac (>= 0.20),
               libgee-0.8-dev (>= 0.8.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.6.0),
               libunique-3.0-dev (>= 3.0.0),
               libnotify-dev (>=0.7.5),
               libcanberra-dev (>= 0.28),
               libwebkitgtk-3.0-dev (>= 1.10.0),
               libgmime-2.6-dev (>= 2.6.0),
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.7.4),
               libxml2-dev (>= 2.7.8),
               libgnome-keyring-dev (>= 3.2.2),
               libgirepository1.0-dev (>= 1.32.0),
               intltool,
               libmessaging-menu-dev,
               desktop-file-utils,
Standards-Version: 3.9.4
Homepage: http://yorba.org/geary/

Package: geary
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.
